This endpoint takes an access token, ID token, refresh token, or device secret and returns a boolean that indicates whether it's active. If the token is active, additional data about the token is also returned. If the token is invalid, expired, or revoked, it's considered inactive.
Ensure that you are using the /introspect endpoint of the same authorization server that you used to create the token.
Note: The
/introspectendpoint requires client authentication. The method is configured per client app. See Client authentication methods. For public clients (such as single-page and mobile apps) that don't have aclient_secret, you must include theclient_idas a query parameter when calling the/introspectendpoint. Make sure that you aren't passing the Authorization header in the request.
An access token, ID token, refresh token, or a device secret.
Note: Although ID tokens can be sent to this endpoint, they are usually validated on the service provider or app side of a flow.
curl -i -X POST \
'https://okta-subdomain.pixtulate.com/oauth2/{authorizationServerId}/v1/introspect' \
-H 'Content-Type: application/x-www-form-urlencoded' \
-d token=string \
-d token_type_hint=access_tokenBased on the type of token and whether it's active, the returned JSON contains a different set of information.
Identifies the time (a timestamp in seconds since January 1, 1970 UTC) before which the token must not be accepted for processing
The user ID. This parameter is returned only if the token is an access token and the subject is an end user.
- Access token
- Refresh token
- Inactive token
{ "active": true, "token_type": "Bearer", "scope": "openid profile", "client_id": "a9VpZDRCeFh3Nkk2VdYa", "username": "john.doe@example.com", "exp": 1451606400, "iat": 1451602800, "sub": "john.doe@example.com", "aud": "https://{yourOktaDomain}", "iss": "https://{yourOktaDomain}/oauth2/orsmsg0aWLdnF3spV0g3", "jti": "AT.7P4KlczBYVcWLkxduEuKeZfeiNYkZIC9uGJ28Cc-YaI", "uid": "00uid4BxXw6I6TV4m0g3" }